function [v u]=vel(z, TotWD, axisPos, k, Vwmax, omegaw, t, V, Hwave, config5, config1, r, omegat, gamma, config8)

if config8==0        %config(8)=0: waves not consideres

    u=omegat*r;
    
    if config5==0;         %current - uniform profile
        v=V; 
    else                   %current - no-slip profile
        Vcurrentmax=V*(TotWD/(TotWD-axisPos))^(1/7);  
        v=Vcurrentmax*((TotWD-z)/TotWD)^(1/7);
    end

else                 %config(8)=1: waves considerd                     
    
%------------------------Wheeler streching---------------------------------

    ny=Hwave/2*cos(-omegaw*t);
    zs=z*(1-ny/TotWD)+ny;

%---------------------------Velocity wave----------------------------------

     Vhwave=Vwmax*exp(-k*zs)*cos(-omegaw*t);    % horizontal component
     Vvwave=Vwmax*exp(-k*zs)*sin(-omegaw*t);    % vertical component

%-------------------------Velocity current---------------------------------

    if config5==0;         %current - uniform profile
        Vcurrent=V; 
    else                   %current - no-slip profile
        Vcurrentmax=V*(TotWD/(TotWD-axisPos))^(1/7);  
        Vcurrent=Vcurrentmax*((TotWD-zs)/TotWD)^(1/7);
    end

%------------------------Resultant velocity--------------------------------

    v=Vhwave+Vcurrent;

    if config1==0           %vertical velocity component due to the waves not considered
        u=omegat*r;
    else                    %vvc due to the waves considered
        u=omegat*r+Vvwave*cos(gamma);  
    end
end  
 return

